{
  "id": "8738285d-de4d-421a-aab7-e8760ba57537",
  "name": "NGINX Pod with Meshery Milestone app",
  "schemaVersion": "designs.meshery.io/v1beta1",
  "version": "0.0.5",
  "metadata": {
    "resolvedAliases": {
      "2aa5d193-bb34-4b93-a29a-0bf98b17c99c": {
        "alias_component_id": "2aa5d193-bb34-4b93-a29a-0bf98b17c99c",
        "immediate_parent_id": "5b4b4573-d81a-4f26-b838-e6c9bce1b961",
        "immediate_ref_field_path": [
          "configuration",
          "spec",
          "containers",
          "0"
        ],
        "relationship_id": "da8ecd2c-aa9f-4a24-af77-a43f1d2330b5",
        "resolved_parent_id": "5b4b4573-d81a-4f26-b838-e6c9bce1b961",
        "resolved_ref_field_path": [
          "configuration",
          "spec",
          "containers",
          "0"
        ]
      }
    }
  },
  "components": [
    {
      "id": "2aa5d193-bb34-4b93-a29a-0bf98b17c99c",
      "schemaVersion": "components.meshery.io/v1beta1",
      "version": "v1.0.0",
      "displayName": "containers.0",
      "description": "",
      "format": "JSON",
      "model": {
        "id": "550bfe31-5015-a0d1-b695-369c97b4e903",
        "schemaVersion": "models.meshery.io/v1beta1",
        "version": "v1.0.0",
        "name": "meshery-core",
        "displayName": "Meshery Core",
        "status": "enabled",
        "registrant": {
          "id": "98027e7d-9e16-e4f0-6dbd-83f3ac0d9856",
          "name": "meshery",
          "credential_id": "00000000-0000-0000-0000-000000000000",
          "type": "registry",
          "sub_type": "",
          "kind": "meshery",
          "status": "registered",
          "user_id": "00000000-0000-0000-0000-000000000000",
          "created_at": "2025-06-18T06:12:24.097168009Z",
          "updated_at": "2025-06-18T06:12:24.097168009Z",
          "deleted_at": "0001-01-01T00:00:00Z"
        },
        "connection_id": "98027e7d-9e16-e4f0-6dbd-83f3ac0d9856",
        "category": {
          "id": "9ca27d0d-66ce-42a9-8c85-6236563f2ddb",
          "name": "Orchestration \u0026 Management"
        },
        "subCategory": "Application Definition \u0026 Image Build",
        "metadata": {
          "isAnnotation": false,
          "primaryColor": "#00B39F",
          "secondaryColor": "#00D3A9",
          "shape": "circle",
          "svgColor": "ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg",
          "svgComplete": "",
          "svgWhite": "ui/public/static/img/meshmodels/meshery-core/white/meshery-core-white.svg"
        },
        "model": {
          "version": "0.7.2"
        },
        "components_count": 0,
        "relationships_count": 0,
        "components": null,
        "relationships": null
      },
      "styles": {
        "position": {
          "x": 348.2637414852646,
          "y": 598.4504079914683
        },
        "primaryColor": "#326CE5",
        "secondaryColor": "#00D3A9",
        "shape": "circle",
        "svgColor": "ui/public/static/img/meshmodels/meshery-core/color/container-color.svg",
        "svgComplete": "",
        "svgWhite": "ui/public/static/img/meshmodels/meshery-core/white/container-white.svg"
      },
      "capabilities": [],
      "status": "enabled",
      "metadata": {
        "configurationUISchema": "",
        "genealogy": "",
        "instanceDetails": null,
        "isAnnotation": true,
        "isNamespaced": false,
        "published": false
      },
      "configuration": {},
      "component": {
        "version": "core.meshery.io/v1alpha1",
        "kind": "Container",
        "schema": ""
      }
    },
    {
      "id": "5b4b4573-d81a-4f26-b838-e6c9bce1b961",
      "schemaVersion": "components.meshery.io/v1beta1",
      "version": "v1.0.0",
      "displayName": "pod-wy",
      "description": "",
      "format": "JSON",
      "model": {
        "id": "e633cca6-b6e1-65bf-a440-0d58915e75dd",
        "schemaVersion": "models.meshery.io/v1beta1",
        "version": "v1.0.0",
        "name": "kubernetes",
        "displayName": "Kubernetes",
        "status": "enabled",
        "registrant": {
          "id": "f9a29d70-c287-426c-a90c-2a96590c8083",
          "name": "Github",
          "credential_id": "00000000-0000-0000-0000-000000000000",
          "type": "registry",
          "sub_type": "",
          "kind": "github",
          "status": "registered",
          "user_id": "00000000-0000-0000-0000-000000000000",
          "created_at": "2025-06-18T06:12:13.852899628Z",
          "updated_at": "2025-06-18T06:12:13.852899628Z",
          "deleted_at": "0001-01-01T00:00:00Z"
        },
        "connection_id": "f9a29d70-c287-426c-a90c-2a96590c8083",
        "category": {
          "id": "9ca27d0d-66ce-42a9-8c85-6236563f2ddb",
          "name": "Orchestration \u0026 Management"
        },
        "subCategory": "Scheduling \u0026 Orchestration",
        "metadata": {
          "isAnnotation": false,
          "primaryColor": "#326CE5",
          "secondaryColor": "#7aa1f0",
          "shape": "circle",
          "svgColor": "ui/public/static/img/meshmodels/kubernetes/color/kubernetes-color.svg",
          "svgComplete": "",
          "svgWhite": "ui/public/static/img/meshmodels/kubernetes/white/kubernetes-white.svg"
        },
        "model": {
          "version": "v1.32.0-alpha.3"
        },
        "components_count": 0,
        "relationships_count": 0,
        "components": null,
        "relationships": null
      },
      "styles": {
        "background-opacity": 0.5,
        "body-text": "",
        "body-text-color": "#808080",
        "body-text-font-size": 12,
        "body-text-font-weight": "400",
        "body-text-horizontal-align": "center",
        "body-text-vertical-align": "center",
        "border-width": 2,
        "height": 24,
        "opacity": 1,
        "padding": 6,
        "position": {
          "x": 348.2637414852646,
          "y": 607.4504079914683
        },
        "primaryColor": "#326CE5",
        "secondaryColor": "#7aa1f0",
        "shape": "round-rectangle",
        "svgColor": "ui/public/static/img/meshmodels/kubernetes/color/pod-color.svg",
        "svgComplete": "ui/public/static/img/meshmodels/kubernetes/complete/pod-complete.svg",
        "svgWhite": "ui/public/static/img/meshmodels/kubernetes/white/pod-white.svg",
        "width": 24,
        "z-index": 2
      },
      "capabilities": [],
      "status": "enabled",
      "metadata": {
        "configurationUISchema": "",
        "genealogy": "parent",
        "instanceDetails": null,
        "isAnnotation": false,
        "isNamespaced": true,
        "published": false
      },
      "configuration": {
        "metadata": {
          "namespace": "default"
        },
        "spec": {
          "containers": [
            {
              "args": [],
              "command": [],
              "env": [],
              "envFrom": [],
              "image": "meshery/meshery-milestone",
              "name": "meshery-milestone",
              "ports": [],
              "resizePolicy": [],
              "volumeDevices": [],
              "volumeMounts": []
            }
          ]
        }
      },
      "component": {
        "version": "v1",
        "kind": "Pod",
        "schema": ""
      }
    },
    {
      "id": "1c463748-0c91-44c0-8aec-c5dd63e032d3",
      "schemaVersion": "components.meshery.io/v1beta1",
      "version": "v1.0.0",
      "displayName": "",
      "description": "",
      "format": "JSON",
      "model": {
        "id": "550bfe31-5015-a0d1-b695-369c97b4e903",
        "schemaVersion": "models.meshery.io/v1beta1",
        "version": "v1.0.0",
        "name": "meshery-core",
        "displayName": "Meshery Core",
        "status": "enabled",
        "registrant": {
          "id": "98027e7d-9e16-e4f0-6dbd-83f3ac0d9856",
          "name": "meshery",
          "credential_id": "00000000-0000-0000-0000-000000000000",
          "type": "registry",
          "sub_type": "",
          "kind": "meshery",
          "status": "registered",
          "user_id": "00000000-0000-0000-0000-000000000000",
          "created_at": "2025-06-18T06:12:24.097168009Z",
          "updated_at": "2025-06-18T06:12:24.097168009Z",
          "deleted_at": "0001-01-01T00:00:00Z"
        },
        "connection_id": "98027e7d-9e16-e4f0-6dbd-83f3ac0d9856",
        "category": {
          "id": "9ca27d0d-66ce-42a9-8c85-6236563f2ddb",
          "name": "Orchestration \u0026 Management"
        },
        "subCategory": "Application Definition \u0026 Image Build",
        "metadata": {
          "isAnnotation": false,
          "primaryColor": "#00B39F",
          "secondaryColor": "#00D3A9",
          "shape": "circle",
          "svgColor": "ui/public/static/img/meshmodels/meshery-core/color/meshery-core-color.svg",
          "svgComplete": "",
          "svgWhite": "ui/public/static/img/meshmodels/meshery-core/white/meshery-core-white.svg"
        },
        "model": {
          "version": "0.7.2"
        },
        "components_count": 0,
        "relationships_count": 0,
        "components": null,
        "relationships": null
      },
      "styles": {
        "background-image": "none",
        "background-opacity": 0,
        "body-text": "This is a simple example design, containing a single Kubernetes Pod with sample application \"meshery-milestone\" running on NGINX.",
        "body-text-color": "#808080",
        "body-text-font-size": 12,
        "body-text-font-weight": "400",
        "body-text-horizontal-align": "center",
        "body-text-vertical-align": "center",
        "border-color": "#808080",
        "border-style": "dashed",
        "border-width": 1,
        "height": 60,
        "opacity": 1,
        "padding": 6,
        "position": {
          "x": 510,
          "y": 610
        },
        "primaryColor": "#00B39F",
        "secondaryColor": "#FFDE00",
        "shape": "rectangle",
        "svgColor": "ui/public/static/img/meshmodels/meshery-core/color/textbox-color.svg",
        "svgComplete": "",
        "svgWhite": "ui/public/static/img/meshmodels/meshery-core/white/textbox-white.svg",
        "width": 180,
        "z-index": 1
      },
      "capabilities": [],
      "status": "enabled",
      "metadata": {
        "configurationUISchema": "",
        "genealogy": "",
        "instanceDetails": null,
        "isAnnotation": true,
        "isNamespaced": false,
        "published": false
      },
      "configuration": {},
      "component": {
        "version": "core.meshery.io/v1alpha1",
        "kind": "TextBox",
        "schema": ""
      }
    }
  ],
  "preferences": {
    "layers": {
      "expandedComponents": {
        "5b4b4573-d81a-4f26-b838-e6c9bce1b961": true
      },
      "relationships": {
        "hierarchical-parent-inventory": false,
        "hierarchical-sibling-matchlabels": false
      }
    }
  },
  "relationships": [
    {
      "id": "da8ecd2c-aa9f-4a24-af77-a43f1d2330b5",
      "evaluationQuery": "",
      "kind": "hierarchical",
      "metadata": {
        "description": "A hierarchical inventory relationship in which the configuration of (parent) component is patched with the configuration of other (child) component. Eg: The configuration of the EnvoyFilter (parent) component is patched with the configuration as received from WASMFilter (child) component.",
        "styles": {
          "primaryColor": "",
          "svgColor": "",
          "svgWhite": ""
        },
        "isAnnotation": false
      },
      "model": {
        "id": "e633cca6-b6e1-65bf-a440-0d58915e75dd",
        "schemaVersion": "models.meshery.io/v1beta1",
        "version": "v1.0.0",
        "name": "kubernetes",
        "displayName": "Kubernetes",
        "status": "enabled",
        "registrant": {
          "id": "00000000-0000-0000-0000-000000000000",
          "name": "",
          "credential_id": "00000000-0000-0000-0000-000000000000",
          "type": "",
          "sub_type": "",
          "kind": "",
          "status": "",
          "user_id": "00000000-0000-0000-0000-000000000000",
          "created_at": "0001-01-01T00:00:00Z",
          "updated_at": "0001-01-01T00:00:00Z",
          "deleted_at": "0001-01-01T00:00:00Z"
        },
        "connection_id": "f9a29d70-c287-426c-a90c-2a96590c8083",
        "category": {
          "id": "9ca27d0d-66ce-42a9-8c85-6236563f2ddb",
          "name": "Orchestration \u0026 Management"
        },
        "subCategory": "Scheduling \u0026 Orchestration",
        "metadata": {
          "isAnnotation": false,
          "primaryColor": "#326CE5",
          "secondaryColor": "#7aa1f0",
          "shape": "circle",
          "svgColor": "ui/public/static/img/meshmodels/kubernetes/color/kubernetes-color.svg",
          "svgComplete": "",
          "svgWhite": "ui/public/static/img/meshmodels/kubernetes/white/kubernetes-white.svg"
        },
        "model": {
          "version": "v1.32.0-alpha.3"
        },
        "components_count": 0,
        "relationships_count": 0,
        "components": null,
        "relationships": null
      },
      "schemaVersion": "relationships.meshery.io/v1alpha3",
      "selectors": [
        {
          "allow": {
            "from": [
              {
                "id": "2aa5d193-bb34-4b93-a29a-0bf98b17c99c",
                "kind": "Container",
                "match": {},
                "match_strategy_matrix": null,
                "model": {
                  "id": "00000000-0000-0000-0000-000000000000",
                  "schemaVersion": "",
                  "version": "",
                  "name": "meshery-core",
                  "displayName": "",
                  "status": "",
                  "registrant": {
                    "id": "00000000-0000-0000-0000-000000000000",
                    "name": "",
                    "credential_id": "00000000-0000-0000-0000-000000000000",
                    "type": "",
                    "sub_type": "",
                    "kind": "github",
                    "status": "",
                    "user_id": "00000000-0000-0000-0000-000000000000",
                    "created_at": "0001-01-01T00:00:00Z",
                    "updated_at": "0001-01-01T00:00:00Z",
                    "deleted_at": "0001-01-01T00:00:00Z"
                  },
                  "connection_id": "00000000-0000-0000-0000-000000000000",
                  "category": {
                    "id": "00000000-0000-0000-0000-000000000000",
                    "name": ""
                  },
                  "subCategory": "",
                  "metadata": null,
                  "model": {
                    "version": ""
                  },
                  "components_count": 0,
                  "relationships_count": 0,
                  "components": null,
                  "relationships": null
                },
                "patch": {
                  "patchStrategy": "replace",
                  "mutatorRef": [
                    [
                      "configuration",
                      "spec",
                      "containers",
                      "0"
                    ]
                  ],
                  "mutatedRef": [
                    [
                      "configuration",
                      "spec",
                      "containers",
                      "0"
                    ]
                  ]
                }
              }
            ],
            "to": [
              {
                "id": "5b4b4573-d81a-4f26-b838-e6c9bce1b961",
                "kind": "Pod",
                "match": {},
                "match_strategy_matrix": null,
                "model": {
                  "id": "00000000-0000-0000-0000-000000000000",
                  "schemaVersion": "",
                  "version": "",
                  "name": "kubernetes",
                  "displayName": "",
                  "status": "",
                  "registrant": {
                    "id": "00000000-0000-0000-0000-000000000000",
                    "name": "",
                    "credential_id": "00000000-0000-0000-0000-000000000000",
                    "type": "",
                    "sub_type": "",
                    "kind": "github",
                    "status": "",
                    "user_id": "00000000-0000-0000-0000-000000000000",
                    "created_at": "0001-01-01T00:00:00Z",
                    "updated_at": "0001-01-01T00:00:00Z",
                    "deleted_at": "0001-01-01T00:00:00Z"
                  },
                  "connection_id": "00000000-0000-0000-0000-000000000000",
                  "category": {
                    "id": "00000000-0000-0000-0000-000000000000",
                    "name": ""
                  },
                  "subCategory": "",
                  "metadata": null,
                  "model": {
                    "version": ""
                  },
                  "components_count": 0,
                  "relationships_count": 0,
                  "components": null,
                  "relationships": null
                },
                "patch": {
                  "patchStrategy": "replace",
                  "mutatorRef": [
                    [
                      "configuration",
                      "spec",
                      "containers",
                      "0"
                    ]
                  ],
                  "mutatedRef": [
                    [
                      "configuration",
                      "spec",
                      "containers",
                      "0"
                    ]
                  ]
                }
              }
            ]
          },
          "deny": {
            "from": null,
            "to": null
          }
        }
      ],
      "subType": "alias",
      "status": "approved",
      "type": "parent",
      "version": "v1.0.0"
    }
  ]
}